from setuptools import setup, find_packages

setup(
    name="streamlit-api",
    version="1.0.0",
    description="Visualize music data from Spotify API with Streamlit",
    packages=find_packages(),
    include_package_data=True,
    install_requires=[
        'altair==5.0.1',
        'attrs==23.1.0',
        'blinker==1.6.2',
        'build==1.0.3',
        'cachetools==5.3.1',
        'certifi==2023.7.22',
        'charset-normalizer==3.2.0',
        'click==8.1.6',
        'contourpy==1.1.0',
        'cycler==0.11.0',
        'decorator==5.1.1',
        'feedparser==6.0.10',
        'fonttools==4.41.1',
        'gitdb==4.0.10',
        'GitPython==3.1.32',
        'html2text==2020.1.16',
        'idna==3.4',
        'importlib-metadata==6.8.0',
        'Jinja2==3.1.2',
        'jsonschema==4.18.4',
        'jsonschema-specifications==2023.7.1',
        'kiwisolver==1.4.4',
        'markdown-it-py==3.0.0',
        'MarkupSafe==2.1.3',
        'matplotlib==3.7.2',
        'mdurl==0.1.2',
        'numpy==1.25.1',
        'packaging==23.1',
        'pandas==2.0.3',
        'Pillow==9.5.0',
        'pip-tools==7.3.0',
        'protobuf==4.23.4',
        'pyarrow==12.0.1',
        'pydeck==0.8.0',
        'Pygments==2.15.1',
        'Pympler==1.0.1',
        'pyparsing==3.0.9',
        'pyproject_hooks==1.0.0',
        'python-dateutil==2.8.2',
        'pytz==2023.3',
        'pytz-deprecation-shim==0.1.0.post0',
        'referencing==0.30.0',
        'requests==2.31.0',
        'rich==13.4.2',
        'rpds-py==0.9.2',
        'seaborn==0.12.2',
        'sgmllib3k==1.0.0',
        'six==1.16.0',
        'smmap==5.0.0',
        'streamlit==1.29.0',
        'tenacity==8.2.2',
        'toml==0.10.2',
        'tomli==2.0.1',
        'toolz==0.12.0',
        'tornado==6.3.2',
        'typing_extensions==4.7.1',
        'tzdata==2023.3',
        'tzlocal==4.3.1',
        'urllib3==2.0.4',
        'validators==0.20.0',
        'watchdog==3.0.0',
        'zipp==3.16.2',
    ],
    license="MIT",
    keywords="streamlit",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
    ],
)
